# AI Lecture 개선을 위한 TODO 리스트

이 문서는 AI Lecture 프로젝트의 개선 사항을 관리하기 위한 TODO 리스트입니다.

## 1. 버전 관리 (Git)

- [ ] `git status`에 나타난 변경사항들 의미 있는 단위로 커밋하기
- [ ] 원격 저장소(`origin/main`)와 로컬 브랜치 동기화 (`git pull`)
- [ ] `.gitignore` 파일 점검하여 불필요한 파일이 추적되지 않도록 설정

## 2. 문서 (Documentation)

- [ ] `courses/**/*.md` 파일들의 구조 일관성 확보 (예: 학습 목표, 핵심 요약, 연습 문제 등 공통 섹션 추가)
- [ ] 각 강의별 `glossary.md` 파일을 `ai lecture/glossary.md`로 통합
- [ ] `ai lecture/README.md`에 프로젝트 상세 설명, 시작 가이드, 전체 강의 목록 및 링크 추가

## 3. 개발 환경 및 의존성

- [ ] `pyproject.toml`을 중심으로 의존성 관리 전략 통일
- [ ] `pip-tools` 등을 사용하여 `pyproject.toml`에서 `requirements.txt` 자동 생성 고려

## 4. 코드 및 테스트

- [ ] `source_code` 내 `.ipynb` 파일과 `.py` 파일의 관계를 해당 폴더의 `README.md`에 명시
- [ ] 테스트 커버리지가 낮은/없는 중요 코드에 대한 테스트 케이스 추가

## 5. 자동화

- [ ] `Makefile`을 도입하여 `format`, `test` 등 자주 사용하는 스크립트 명령어 단순화 